font_size         9.0
# font_family       Fira Code
# bold_font         Fira Code SemiBold
# italic_font       Fira Code Italic

font_family DejaVu Sans

disable_ligatures always
box_drawing_scale 0.1, 0.5, 1, 1

cursor            orangered2
cursor_text_color #111111
cursor_shape      block
cursor_blink_interval     0
cursor_stop_blinking_after 15.0

# scrollback_lines 2000
scrollback_lines 0
scrollback_pager less +G -R
wheel_scroll_multiplier 5.0

url_color #0087BD
url_style curl
detect_urls no

copy_on_select yes

select_by_word_characters :@-./_~?&=%+#

click_interval 0.5
mouse_hide_wait 1.0

focus_follows_mouse no

input_delay 3
sync_to_monitor yes

visual_bell_duration 0.2
window_alert_on_bell yes
enable_audio_bell no

remember_window_size  yes
initial_window_width  640
initial_window_height 400

enabled_layouts *
window_border_width 1
window_margin_width 1
window_padding_width 0
active_border_color #00ff00
inactive_border_color #cccccc
inactive_text_alpha 1.0

foreground       #000000
background       #ffffff
background_opacity 0.9

selection_background #efebe7
selection_foreground #101010

# black
color0       #000000
color8       #000000
# red
color1       OrangeRed1
color9       OrangeRed2
# green
color2       DarkSeaGreen4
color10      DarkSeaGreen3
# yellow
color3       lightgoldenrod3
color11      lightyellow4
# blue
color4       steelblue4
color12      steelblue3
# magenta
color5       lightpink2
color13      lightpink3
# cyan
color6       cyan4
color14      cyan4
# white
color7       #ffffff
color15      #ffffff

map ctrl+enter send_text all \x1b[27;5;13~
map ctrl+. send_text all \x1b[27;5;46~
map ctrl+; send_text all \x1b[27;5;59~
map ctrl+' send_text all \x1b[27;5;39~
map ctrl+( send_text all \x1b[27;5;40~
map ctrl+) send_text all \x1b[27;5;41~
